Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1769297

Summary: Review Request: python-editdistance - Provides a fast implementation of the Levenshtein distance in Python
Product: [Fedora] Fedora Reporter: Aniket Pradhan <aniketpradhan1999>
Component: Package ReviewAssignee: Elliott Sales de Andrade <quantum.analyst>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ego.cordatus, neuro-sig, package-review, quantum.analyst, sanjay.ankur, zbyszek
Target Milestone: ---Flags: quantum.analyst: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-01 00:45:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941, 1765265    

Description Aniket Pradhan 2019-11-06 10:43:20 UTC
Spec URL: https://major.fedorapeople.org/python-editdistance/python-editdistance.spec
SRPM URL: https://major.fedorapeople.org/python-editdistance/python-editdistance-0.5.3-1.fc31.src.rpm
Description: This library implements the Levenshtein distance with C++ and Cython.
Fedora Account System Username: major

rpmlint output: 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=38799606

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-11-06 11:16:38 UTC
Splitting out the -devel subpackages seems bogus. The .so file is just the python module.
Also, your -devel package is not installable.

Merge the -devel package back into the python3- package.
Those .h files can be %excluded, they are not used at runtime.

Comment 2 Ankur Sinha (FranciscoD) 2019-11-06 11:17:37 UTC
Aniket, please block "fedora-neuro" for all NeuroFedora related bugs---also helps us keep track of our stuff.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-11-06 11:18:00 UTC
I forgot to add:
> %{__python3} setup.py test
> nosetests test

Why two calls? This second line could run with the wrong python versions on F<32.

Comment 4 Aniket Pradhan 2019-11-06 12:25:08 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Splitting out the -devel subpackages seems bogus. The .so file is just the
> python module.
> Also, your -devel package is not installable.
> 
> Merge the -devel package back into the python3- package.
> Those .h files can be %excluded, they are not used at runtime.

Yeah... I did that because of the header file warning. I was not sure if they are used during the runtime. I'll exclude them if that is the case.


(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> I forgot to add:
> > %{__python3} setup.py test
> > nosetests test
> 
> Why two calls? This second line could run with the wrong python versions on
> F<32.

%{__python3} setup.py test copies some the python module (.so) file to the source directory. It also doesn't run the tests. If I don't run this, the tests using nose fails. Hence I had added the two statements.
Sure, you are right. I should use nosetests-3 to run the test.

Comment 5 Aniket Pradhan 2019-11-06 12:26:44 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #2)
> Aniket, please block "fedora-neuro" for all NeuroFedora related bugs---also
> helps us keep track of our stuff.

What do you mean by "blocking fedora-neuro"? Is it adding the neuro sig to the cc-list, then I had done that already.

Comment 6 Aniket Pradhan 2019-11-06 12:30:49 UTC
(In reply to Aniket Pradhan from comment #5)
> (In reply to Ankur Sinha (FranciscoD) from comment #2)
> > Aniket, please block "fedora-neuro" for all NeuroFedora related bugs---also
> > helps us keep track of our stuff.
> 
> What do you mean by "blocking fedora-neuro"? Is it adding the neuro sig to
> the cc-list, then I had done that already.

No worries, I got what you were referring to. :P

Comment 7 Elliott Sales de Andrade 2019-11-08 09:03:41 UTC
(In reply to Aniket Pradhan from comment #4)
> %{__python3} setup.py test copies some the python module (.so) file to the
> source directory.

You don't usually need to do that; set PYTHONPATH and/or PATH to point to the %{buildroot} correctly, and it should work with the one you just built.

Comment 8 Aniket Pradhan 2019-11-08 14:38:30 UTC
Thanks a lot, Elliott! 

I set the PATH to point to %{buildroot}%{python3_sitearch} where the package is installed, and the tests now pass successfully [1]. I also shifted from nose to pytest. I hope there are no problems now. :D

[1]: https://koji.fedoraproject.org/koji/taskinfo?taskID=38841256

P.S. I have updated the spec and the SRPM on the above-mentioned URLs.

Comment 9 Elliott Sales de Andrade 2019-11-09 11:10:02 UTC
Summary is too long; "in Python" is redundant since it's in the package name,
and you can drop "A ".

The description says C++ and Cython, but you don't BR python3-Cython, and
rebuild Cython sources, which is required:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_packages_using_cython

You must own %{python3_sitearch}/%{pypi_name} and %{python3_sitearch}/%{pypi_name}/__pycache__

Make sure to update both spec and srpm.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.8/site-
     packages/editdistance/__pycache__, /usr/lib64/python3.8/site-
     packages/editdistance
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.8/site-
     packages/editdistance, /usr/lib64/python3.8/site-
     packages/editdistance/__pycache__
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-editdistance
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python3-editdistance-0.5.3-1.fc32.x86_64.rpm
          python-editdistance-debugsource-0.5.3-1.fc32.x86_64.rpm
          python-editdistance-0.5.3-1.fc32.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python3-editdistance.x86_64: W: invalid-url URL: https://github.com/aflc/editdistance <urlopen error [Errno -2] Name or service not known>
python-editdistance-debugsource.x86_64: W: invalid-url URL: https://github.com/aflc/editdistance <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Unversioned so-files
--------------------
python3-editdistance: /usr/lib64/python3.8/site-packages/editdistance/bycython.cpython-38-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/aflc/editdistance/archive/v0.5.3/editdistance-0.5.3.tar.gz :
  CHECKSUM(SHA256) this package     : c8dc7c32286210b8a2c94d5b125fc99c9acccb68ab891a920bf1901a301d6e82
  CHECKSUM(SHA256) upstream package : c8dc7c32286210b8a2c94d5b125fc99c9acccb68ab891a920bf1901a301d6e82


Requires
--------
python3-editdistance (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    rtld(GNU_HASH)

python-editdistance-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-editdistance:
    python-editdistance
    python3-editdistance
    python3-editdistance(x86-64)
    python3.8dist(editdistance)
    python3dist(editdistance)

python-editdistance-debugsource:
    python-editdistance-debugsource
    python-editdistance-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/elliott/rpmbuild/review/1769297-python-editdistance/srpm/python-editdistance.spec	2019-11-09 05:43:35.196973026 -0500
+++ /home/elliott/rpmbuild/review/1769297-python-editdistance/srpm-unpacked/python-editdistance.spec	2019-11-08 09:26:12.000000000 -0500
@@ -65,4 +65,4 @@
 
 %changelog
-* Fri Nov 8 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.5.3-1
+* Wed Nov 6 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.5.3-1
 - Initial build


Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1769297 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: C/C++, Python, Generic, Shell-api
Disabled plugins: fonts, Haskell, R, SugarActivity, Java, Perl, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Aniket Pradhan 2019-11-09 16:53:29 UTC
Thank you for the review, Elliot.

I have made the requested changes and have updated the source files (spec and srpm) in the fedorapeople workspace. The links to the files are as follows:

spec: https://major.fedorapeople.org/python-editdistance/python-editdistance.spec
srpm: https://major.fedorapeople.org/python-editdistance/python-editdistance-0.5.3-1.fc31.src.rpm

The links are the same as the ones posted above.

I am although unsure why the difference in the URL is coming up. I have generated the srpm using `rpmbuild -bs python-editdistance.spec`. I don't think it should be any different from the one created during the build procedure.

Comment 11 Elliott Sales de Andrade 2019-11-10 08:08:27 UTC
> find %{pypi_name}/ -name "*.c" -print -delete

This is not quite right, because the files are named *.cpp.

Comment 12 Aniket Pradhan 2019-11-11 14:13:58 UTC
Hello Elliott.

I had done that in a hurry :P

Anyways, I can see that only the file bypython.cpp is being generated through Cython, and it is not happening through setup.py (it is building editdistance.bycython through setup.py. So, I had to manually run `cythonize ...` in order to compile the cpp file.

Also, _editdistance.cpp is not being generated through Cython, hence there is no point deleting it.

I have updated the spec and the srpm in the above mentioned urls.

Comment 13 Aniket Pradhan 2019-11-19 06:22:51 UTC
Bumping the review. I hope spec and the srpm files are fine.

Comment 14 Elliott Sales de Andrade 2019-11-21 08:25:51 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-editdistance
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-editdistance-0.5.3-1.fc32.x86_64.rpm
          python-editdistance-debugsource-0.5.3-1.fc32.x86_64.rpm
          python-editdistance-0.5.3-1.fc32.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python3-editdistance.x86_64: W: invalid-url URL: https://github.com/aflc/editdistance <urlopen error [Errno -2] Name or service not known>
python-editdistance-debugsource.x86_64: W: invalid-url URL: https://github.com/aflc/editdistance <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Unversioned so-files
--------------------
python3-editdistance: /usr/lib64/python3.8/site-packages/editdistance/bycython.cpython-38-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/aflc/editdistance/archive/v0.5.3/editdistance-0.5.3.tar.gz :
  CHECKSUM(SHA256) this package     : c8dc7c32286210b8a2c94d5b125fc99c9acccb68ab891a920bf1901a301d6e82
  CHECKSUM(SHA256) upstream package : c8dc7c32286210b8a2c94d5b125fc99c9acccb68ab891a920bf1901a301d6e82


Requires
--------
python3-editdistance (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    rtld(GNU_HASH)

python-editdistance-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-editdistance:
    python-editdistance
    python3-editdistance
    python3-editdistance(x86-64)
    python3.8dist(editdistance)
    python3dist(editdistance)

python-editdistance-debugsource:
    python-editdistance-debugsource
    python-editdistance-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1769297 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Python, C/C++, Generic
Disabled plugins: fonts, Ocaml, SugarActivity, PHP, R, Haskell, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 15 Elliott Sales de Andrade 2019-11-21 08:30:19 UTC
*** Bug 1771215 has been marked as a duplicate of this bug. ***

Comment 16 Gwyn Ciesla 2019-11-21 14:49:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-editdistance

Comment 17 Fedora Update System 2019-11-22 10:12:06 UTC
FEDORA-2019-297ad7f39c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-297ad7f39c

Comment 18 Fedora Update System 2019-11-23 02:20:41 UTC
python-editdistance-0.5.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f8dee4c59

Comment 19 Fedora Update System 2019-11-23 02:38:32 UTC
python-editdistance-0.5.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-297ad7f39c

Comment 20 Fedora Update System 2019-11-23 03:21:43 UTC
python-editdistance-0.5.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67c38ce04a

Comment 21 Fedora Update System 2019-12-01 00:45:58 UTC
python-editdistance-0.5.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-12-01 01:03:47 UTC
python-editdistance-0.5.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.